• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
PHP 7.2 released

#11
(12-02-2017, 05:18 AM)Narf Wrote:
(12-01-2017, 11:51 AM)Wouter60 Wrote: No further problems running CI 3.1.6 under PHP 7 or higher?

Further problems? I don't understand your question.

I mean: besides the issue with validate_email you mentioned...
Reply

#12
(12-04-2017, 01:33 PM)gdhnz Wrote: I've just hit https://github.com/bcit-ci/CodeIgniter/issues/5300.

When's v3.1.7 going to be released?

"When it's ready"

(12-05-2017, 12:51 PM)Wouter60 Wrote:
(12-02-2017, 05:18 AM)Narf Wrote:
(12-01-2017, 11:51 AM)Wouter60 Wrote: No further problems running CI 3.1.6 under PHP 7 or higher?

Further problems? I don't understand your question.

I mean: besides the issue with validate_email you mentioned...

I don't know what kind of an answer you expect on that ...

7.0 was released 2 years ago and 7.1 was released 1 year ago - if there was any problems with those, you'd know them already.
The one deprecation notice in 7.2 is what we know about; I wouldn't say that there's only 1 known issue if we knew there's more.

(12-05-2017, 11:02 PM)koficypher Wrote: kindky take a look at this thread i posted here and assist....

https://forum.codeigniter.com/thread-69505.html

Kindly have patience and don't spam other threads.
Reply

#13
(12-01-2017, 12:15 PM)SomeGuy Wrote: Upgraded my XAMPP install to use 7.2 last night. No issues with CI3.1.6 so far.

Hi how did you update to php 7.2 on Xampp? Apachefriends still only showing php 7.1.11?
Reply

#14
(12-01-2017, 09:35 AM)Narf Wrote: PHP 7.2 release announcement

In addition to the new features and other general improvements, it's even faster than 7.0 and 7.1! Go try it, and even upgrade to it if you can. Smile

Of course, if you encounter any CodeIgniter bugs related to it, you should also report them to us. So far there's only one known issue (an E_DEPRECATION notice in validate_email), which will be fixed in our next release.

How to fix Count() function in PHP 7.2, in PHP 7.2 Count(null) is object that doesn't implement the Countable interface.
Reply

#15
@happyape and Others,

For XAMPP you can just download the correct PHP 7.2 binary and install it into XAMPP.

Please make sure that you backup your XAMPP directory first...
What did you Try? What did you Get? What did you Expect?

Joined CodeIgniter Community 2009.  ( Skype: insitfx )
Reply

#16
CI: v3.1.6
PHP Version: 7.2.0 (XAMPP)
Function: create_captcha

Problem: Unable to load the custom font. Font path is correct. The same setup is working on another PHP Version.

Screenshot: https://i.imgur.com/SCzhwZI.png

Thanks
Reply

#17
(01-03-2018, 12:36 PM)jewelbdx Wrote: CI: v3.1.6
PHP Version: 7.2.0 (XAMPP)
Function: create_captcha

Problem: Unable to load the custom font. Font path is correct. The same setup is working on another PHP Version.

Screenshot: https://i.imgur.com/SCzhwZI.png

Thanks

Have you installed the correct GD package for php 7.2?
Reply

#18
(12-22-2017, 02:19 AM)nguyenthao Wrote:
(12-01-2017, 09:35 AM)Narf Wrote: PHP 7.2 release announcement

In addition to the new features and other general improvements, it's even faster than 7.0 and 7.1! Go try it, and even upgrade to it if you can. Smile

Of course, if you encounter any CodeIgniter bugs related to it, you should also report them to us. So far there's only one known issue (an E_DEPRECATION notice in validate_email), which will be fixed in our next release.

How to fix Count() function in PHP 7.2, in PHP 7.2 Count(null) is object that doesn't implement the Countable interface.

You can't "fix" a core PHP function, but more importantly - there's nothing wrong with it.
count(null) isn't something that you should be doing in the first place.

(01-03-2018, 12:36 PM)jewelbdx Wrote: CI: v3.1.6
PHP Version: 7.2.0 (XAMPP)
Function: create_captcha

Problem: Unable to load the custom font. Font path is correct. The same setup is working on another PHP Version.

Screenshot: https://i.imgur.com/SCzhwZI.png

Thanks

You may think that the path is correct, but I'd bet that it's not.
Reply

#19
upgrade PHP 7.2.1 (cli) (built: Jan 3 2018 08:53:04) ( NTS )
CI 3.1.7 - work fine.
Reply

#20
yesterday I have upgraded my php version from version 7.1 to 7.2.
but when I want to install the sqlsrv and pdo sqlsrv extensions, there is no sqlsrv or pdo sqlsrv extension available for php version 7.2. Sad
so, i downgrade my php version to 7.1 while waiting for sqlsrv extension and pdo sqlsrv for php version 7.2.
CodeIgniter-Indonesia
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


Users browsing this thread:
1 Guest(s)


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2018 MyBB Group.